- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_UIPMC_Endpoint Class Reference

TAO_UIPMC_Endpoint. More...

`#include <UIPMC_Endpoint.h>`

Inheritance diagram for TAO_UIPMC_Endpoint:

[legend]
Collaboration diagram for TAO_UIPMC_Endpoint:

[legend]
List of all members.

## Public Member Functions
| TAO_UIPMC_Endpoint (void)
| Default constructor.
| TAO_UIPMC_Endpoint (const ACE_INET_Addr &addr)
| Constructor.
| TAO_UIPMC_Endpoint (const CORBA::Octet class_d_address[4], CORBA::UShort port)
| Constructor. @ Frank - deprecate this.
| ~TAO_UIPMC_Endpoint (void)
| Destructor.
virtual TAO_Endpoint * | next (void)
virtual int | addr_to_string (char *buffer, size_t length)
virtual TAO_Endpoint * | duplicate (void)
| Makes a copy of <this>.
CORBA::Boolean | is_equivalent (const TAO_Endpoint *other_endpoint)
CORBA::ULong | hash (void)
| Return a hash value for this object.
const ACE_INET_Addr & | object_addr (void) const
| Return a reference to the <object_addr>.
void | object_addr (const ACE_INET_Addr &addr)
| Set the IP multicast address and port.
const char * | get_host_addr (void) const
CORBA::UShort | port (void) const
| Return the port number.
CORBA::UShort | port (CORBA::UShort p)
| Set the port number.
## Private Member Functions
ACE_UINT32 | uint_ip_addr (void) const
| Helper methods for getting and setting the IP address.
void | uint_ip_addr (ACE_UINT32 ip_addr)
void | update_object_addr (void)
| Helper method to update the cached object address.
## Private Attributes
CORBA::Octet | class_d_address_ [4]
| IP Multicast address. @ Frank - deprecate this.
CORBA::UShort | port_
| UDP port number. @ Frank - deprecate this.
ACE_INET_Addr | object_addr_
TAO_UIPMC_Endpoint * | next_

## Detailed Description

TAO_UIPMC_Endpoint.

UIPMC-specific implementation of PP Framework Endpoint interface.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_UIPMC_Endpoint::TAO_UIPMC_Endpoint | ( | void |  | ) |

Default constructor.

TAO_UIPMC_Endpoint::TAO_UIPMC_Endpoint | ( | const ACE_INET_Addr & | addr | ) |

Constructor.

TAO_UIPMC_Endpoint::TAO_UIPMC_Endpoint | ( | const CORBA::Octet | class_d_address[4],
|  | CORBA::UShort | port |
| ) |  |  |

Constructor. @ Frank - deprecate this.

TAO_UIPMC_Endpoint::~TAO_UIPMC_Endpoint | ( | void |  | ) |

Destructor.

## Member Function Documentation

int TAO_UIPMC_Endpoint::addr_to_string | ( | char * | buffer,
|  | size_t | length |
| ) |  |  | `[virtual]`

Implements TAO_Endpoint.

TAO_Endpoint * TAO_UIPMC_Endpoint::duplicate | ( | void |  | ) | `[virtual]`

Makes a copy of <this>.

Implements TAO_Endpoint.

const char * TAO_UIPMC_Endpoint::get_host_addr | ( | void |  | ) | const

Return a pointer to the stringified host address (not including the port). This class retains ownership of the address memory.

CORBA::ULong TAO_UIPMC_Endpoint::hash | ( | void |  | ) | `[virtual]`

Return a hash value for this object.

Implements TAO_Endpoint.

CORBA::Boolean TAO_UIPMC_Endpoint::is_equivalent | ( | const TAO_Endpoint * | other_endpoint | ) | `[virtual]`

Return true if this endpoint is equivalent to <other_endpoint>. Two endpoints are equivalent iff their port and host are the same.

Implements TAO_Endpoint.

TAO_Endpoint * TAO_UIPMC_Endpoint::next | ( | void |  | ) | `[virtual]`

Implements TAO_Endpoint.

void TAO_UIPMC_Endpoint::object_addr | ( | const ACE_INET_Addr & | addr | ) |

Set the IP multicast address and port.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE const ACE_INET_Addr & TAO_UIPMC_Endpoint::object_addr | ( | void |  | ) | const

Return a reference to the <object_addr>.

ACE_INLINE CORBA::UShort TAO_UIPMC_Endpoint::port | ( | CORBA::UShort | p | ) |

Set the port number.

ACE_INLINE CORBA::UShort TAO_UIPMC_Endpoint::port | ( | void |  | ) | const

Return the port number.

ACE_INLINE void TAO_UIPMC_Endpoint::uint_ip_addr | ( | ACE_UINT32 | ip_addr | ) | `[private]`

ACE_INLINE ACE_UINT32 TAO_UIPMC_Endpoint::uint_ip_addr | ( | void |  | ) | const`[private]`

Helper methods for getting and setting the IP address.

ACE_INLINE void TAO_UIPMC_Endpoint::update_object_addr | ( | void |  | ) | `[private]`

Helper method to update the cached object address.

## Member Data Documentation

CORBA::Octet TAO_UIPMC_Endpoint::class_d_address_[4]`[private]`

IP Multicast address. @ Frank - deprecate this.

TAO_UIPMC_Endpoint* TAO_UIPMC_Endpoint::next_`[private]`

UIPMC Endpoints can be stringed into a list. Return the next endpoint in the list, if any.

ACE_INET_Addr TAO_UIPMC_Endpoint::object_addr_`[private]`

Cached instance of <ACE_INET_Addr> for use in making invocations, etc.

CORBA::UShort TAO_UIPMC_Endpoint::port_`[private]`

UDP port number. @ Frank - deprecate this.

The documentation for this class was generated from the following files:

- UIPMC_Endpoint.h
- UIPMC_Endpoint.cpp
- UIPMC_Endpoint.i